Subject: [dhcwg] draft-ietf-dhc-addr-registration

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 4 Mar 2014 10:36:44 +0000

co-Chair hat off ...

I think it is wrong to make the server's Reply (acknowledgement) optional - especially as this seems to be at the discretion of the server. A client has no way if knowing what the lack of response means (no server or server doesn't send Reply).

I think this must be fixed before we can move this document further.

I think the server should be required to send the Reply. Whether the client "waits" for the response, and potentially sends retransmissions, is up to the client.

This will also require specifying some of the retransmission values as per RFC3315 - time to wait, number of (re)transmissions, max retransmission time.

Also, should there be 3 possible server responses ... not supported, update queued, update complete? The last two may depend on queue depth or based on time? I am only suggesting one Reply - ie, not a queued followed by a complete one. If queued returned, client can always check dns to see if update done?

- Bernie (from iPad)